GET /api/protocols/opensea
OpenSea
GET opensea data from protocols service
Endpoint​
GET https://api.web3identity.com/api/protocols/opensea
Example Request​
curl -s "https://api.web3identity.com/api/protocols/opensea" | jq
Responses​
200 Data​
{
"protocols": [
{
"name": "Aave",
"slug": "aave",
"tvl": 27800000000,
"change24h": 2.5,
"chains": [
"ethereum",
"polygon",
"arbitrum"
]
},
{
"name": "Uniswap",
"slug": "uniswap",
"tvl": 18900000000,
"change24h": -1.2,
"chains": [
"ethereum",
"arbitrum",
"optimism"
]
},
{
"name": "Lido",
"slug": "lido",
"tvl": 34200000000,
"change24h": 3.1,
"chains": [
"ethereum"
]
}
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec